%global momorel 2
%global version 2.0.10
%global srcver %{version}

Summary: BZFlag is a multiplayer 3D tank battle game. 
Name: BZFlag
Version: %{version}
Release: %{momorel}m%{?dist}
URL: http://www.bzflag.org/
Source0: http://dl.sourceforge.net/sourceforge/bzflag/bzflag-%{srcver}.tar.bz2 
NoSource: 0
Source1: bzflag.desktop
Patch0: bzflag-2.0.2-gcc4.patch
Patch1: bzflag-2.0.8-gcc43.patch
License: LGPL
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libstdc++-devel
BuildRequires: libICE-devel, libSM-devel, libX11-devel
BuildRequires: libXext-devel, libXi-devel, libXxf86vm-devel   
BuildRequires: gcc-c++
BuildRequires: groff
BuildRequires: SDL-devel >= 1.2.5, zlib-devel
BuildRequires: desktop-file-utils
BuildRequires: mesa-libGL-devel, mesa-libGLU-devel, mesa-libGLw-devel
BuildRequires: libidn-devel
BuildRequires: curl-devel >= 7.16.0
BuildRequires: openldap-devel >= 2.4.8
Requires: libstdc++
Requires: mesa-libGL, mesa-libGLU, mesa-libGLw

%description
BZFlag is a multiplayer 3D tank battle game. The name stands for Battle Zone 
capture Flag. It runs on Irix, Linux, *BSD, Windows, Mac OS X and other 
platforms. It's one of the most popular games ever on Silicon Graphics systems.

%prep
%setup -q -n bzflag-%{srcver}

%patch0 -p1 -b .gcc4

%patch1 -p1 -b .gcc43~

%build
%configure
%make
%install
rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

# desktop file
mkdir -p %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Game \
  --add-category ArcadeGame \
    %{SOURCE1}

# install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 package/rpm/bzflag-*.xpm %{buildroot}%{_datadir}/pixmaps

%clean
rm -rf %{buildroot}

# note -- bzflag must be setuid root to use 3Dfx drivers without /dev/3dfx
%files
%defattr(-,root,root)
%doc COPYING AUTHORS BUGS DEVINFO PORTING TODO
%doc ChangeLog DEVINFO INSTALL README*
%{_bindir}/*
%{_datadir}/bzflag
%{_mandir}/man*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.10-2m)
- rebuild against openssl-0.9.8h-1m

* Fri May 16 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.10-1m)
- 2.0.10 has been released

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.8-7m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.8-6m)
- rebuild against openldap-2.4.8

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.8-5m)
- %%NoSource -> NoSource

* Thu Jan 17 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.8-4m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Nov 12 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.8-3m)
- rebuild against curl-7.16.0

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.8-2m)
- remove category Application

* Fri May 26 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.8-1m)
- update to 2.0.8

* Mon Mar 27 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0.2-4m)
- change Mesa -> mesa-*

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-3m)
- update bzflag.desktop

* Thu Nov 10 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.2-2m)
- add gcc4 patch.
- Patch0: bzflag-2.0.2-gcc4.patch

* Tue Jul 12 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.2-1m)
- BZFlag 2 has been released
- BZFlag seems to link zlib dynamically now.

* Wed Nov 10 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.10.8-1m)
- update to 1.10.8
- install desktop file using desktop-file-utils

* Fri May 28 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.10.6-1m)
- update to 1.10.6

* Mon Jan 26 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.10.4-1m)
- update to 1.10.4
- minor bugfixes

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.10.0-1m)
- update to 1.10.0
- This version breaks compatibility with all previous BZFlag releases

* Thu Jul 10 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.7g2-1m)
- update to 1.7g2
- install KDE menu and icon

* Sun Jan 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.7g0-1m)
- update to 1.7g0
  [Momonga-devel.ja:01293], thanks to Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- add BuildRequires: groff

* Thu May  9 2002 Toru Hoshina <t@kondara.org>
- (1.7e4-2k)
- rebuild against XFree86-4.2.0 with internal Mesa.

* Fri Nov 02 2001 Motonobu Ichimura <famao@kondara.org>
- (1.7e1-16k)
- add BuildRequires,Requires

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- modify BuildRoot

* Tue Apr 10 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.7e1-12k)
- errased Glide3 Glide3-devel from tag

* Wed Mar 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.7e1-2k)
- update to 1.7e1

* Wed Jan 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.7d.9-11k)
- added bzflag.as for afterstep

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- (1.7d.9-9k)
- rebuild against gcc 2.96.

* Tue Jan  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.7d.9-7k)
- added bzflag.desktop

* Thu Jan  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.7d.9-5k)
- rebuild against Glide3

* Mon Oct 30 2000 Toru Hoshina <toru@df-usa.com>
- 1st release for Kondara.
